Ask Your Question
1

Problem with "collada_urdf -> Tutorials -> Working Directly with COLLADA"

asked 2012-03-05 22:32:22 -0500

updated 2012-05-15 12:50:28 -0500

Hi,

I'm trying to do this tutorial but I don't get the result. No problems appear in console but when rviz start don't show anything, only a black shadow, but in openrave is showing robot correctly.

I try to load several robots in collada (.dae) but no work.

I need to load the mitsubishi-pa10 robot arm in rviz. I'm using this:

roslaunch orrosplanning collada_rviz_display.launch
 model:=`rospack find collada_robots`/data/robots/mitsubishi-pa10.dae

Thanks,

Raúl

EDIT:

Here is the image of output in rviz and the image of output in openrave.

I can move the robot in openrave and see the movement in rviz but the robot doesn't appear as you can see in the images.

Could be problem of rviz? Do you know a converter from collada to urdf?

edit retag flag offensive close merge delete

1 Answer

Sort by » oldest newest most voted
1

answered 2012-05-15 17:47:06 -0500

Kei Okada gravatar image

Hi, it works for me, which version are you using?

k-okada@kokada-t420s:~$ rosversion visualization
1.6.7
k-okada@kokada-t420s:~$ rosversion robot_model
1.7.1

...
   [ INFO] [1337139931.344110628]: rviz revision number 1.6.7
   [ INFO] [1337139931.344193801]: ogre_tools revision number 1.6.2
   [ INFO] [1337139931.344222935]: compiled against OGRE version 1.7.3 (Cthugha)
edit flag offensive delete link more

Comments

how about updating robot_model? apt-get upgrade will up to date all software.

Kei Okada gravatar image Kei Okada  ( 2012-05-20 23:49:52 -0500 )edit

update robot_model?

Kei Okada gravatar image Kei Okada  ( 2012-05-20 23:49:55 -0500 )edit

update robot_model?a

Kei Okada gravatar image Kei Okada  ( 2012-05-20 23:49:58 -0500 )edit

Hi, I'm trying to use the robot_model unstable package but I cannot use it. Because I want to use electric version with only this version in unstable version, but I don't get it.

Could you tell me what version of ROS you are using, please? And, what you did to works?

Thanks!

raul.perula gravatar image raul.perula  ( 2012-06-24 21:29:08 -0500 )edit

I don't understand this. How is possible that you have that versions. In Electric: robot_model (release is 1.6.4) & visualization (release is 1.6.7) In Unstable: robot_model (available version is 1.7.1)& visualization (available version is 1.7.4) Please, could you tell me what version are you using?

raul.perula gravatar image raul.perula  ( 2012-06-25 05:35:06 -0500 )edit

And if you are using a mix of versions, how I can do it. Because I've been looking for how to do on Internet and I haven't found it. Thanks!

raul.perula gravatar image raul.perula  ( 2012-06-25 05:36:50 -0500 )edit

I use electric, plus robot_model from source. if you use rosws(http://www.ros.org/wiki/rosws), try $ echo "[{hg: {local-name: robot_model, uri: 'http://kforge.ros.org/robotmodel/\ robot_model', version:f342b5c73a7f}]" | rosws merge - $ rosws update robot_model

Kei Okada gravatar image Kei Okada  ( 2012-06-25 15:22:57 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2012-03-05 22:32:22 -0500

Seen: 683 times

Last updated: May 15 '12